Bug 221527

Summary: Make auto && <ratio> use content box-sizing
Product: WebKit Reporter: Rob Buis <rbuis>
Component: CSSAssignee: Rob Buis <rbuis>
Status: RESOLVED FIXED    
Severity: Normal CC: changseok, esprehn+autocc, ews-watchlist, glenn, kondapallykalyan, pdr, simon.fraser, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 47738    
Attachments:
Description Flags
Patch none

Description Rob Buis 2021-02-07 05:43:26 PST
Make auto && <ratio> aspect-ratio use content box-sizing as specified:
https://drafts.csswg.org/css-sizing-4/#valdef-aspect-ratio-auto--ratio
Comment 1 Rob Buis 2021-02-07 06:01:57 PST
Created attachment 419537 [details]
Patch
Comment 2 EWS 2021-02-08 22:54:38 PST
Committed r272569: <https://commits.webkit.org/r272569>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 419537 [details].
Comment 3 Radar WebKit Bug Importer 2021-02-10 14:36:15 PST
<rdar://problem/74206785>